name: field.blocks.image.name
icon: image
preview: image
fields:
  location:
    label: field.blocks.image.location
    type: radio
    columns: 2
    default: "kirby"
    options:
      kirby: "{{ t('field.blocks.image.location.internal') }}"
      web: "{{ t('field.blocks.image.location.external') }}"
  image:
    label: field.blocks.image.name
    type: files
    query: model.images
    multiple: false
    image:
      back: black
    uploads:
      template: blocks/image
    when:
      location: kirby
  src:
    label: field.blocks.image.url
    type: url
    when:
      location: web
  alt:
    label: field.blocks.image.alt
    type: text
    icon: title
  caption:
    label: field.blocks.image.caption
    type: writer
    icon: text
    inline: true
  link:
    label: field.blocks.image.link
    type: text
    icon: url
  width: 
    label: Largeur de l'image
    type: select
    width: 1/2
    options:
      16.666%: "16.666%"
      20%: "20%"
      25%: "25%"
      33.333%: "33.333%"
      50%: "50%"
      66.666%: "66.666%"
      100%: "100%"
  position: 
    label: Position de l'image
    type: select
    width: 1/2
    options:
      auto: "Centrée"
      0: "Alignée à gauche"